Loading...
Searching...
No Matches
<tt>csr</tt>

sparse matrix manipulation

# Synopsis

    csr [options] file[[.mtx].gz]

# Description

Plots or manipulates a sparse matrix. Read from standard input, in the `.mtx` matrix-market format. Write to standard output in either in `matlab` or `postscript` formats.

# Examples

Enter commands as:

      csr -ps     matrix.mtx | gv -
      csr -matlab matrix.mtx > matrix.m

# Output format options

`-ps`

> ‍ Print in the `.ps` postscript format. This is the default.

`-mtx`

> ‍ Print in the `.mtx` format. When the input was not sorted by increasing line and then column order, then, the output is.

`-matlab`

> ‍ Print in the `matlab` sparse format (see e.g. `octave`(1)).

`-name` string

> ‍ Specifies a current name for the sparse `matlab` output option. Default is `a`.

# Limitations

No render are yet used for the visualization of the sparse matrix: future developments plane to use `gnuplot`.

# Implementation

This documentation has been generated from file linalg/bin/csr.cc